Summary: A free port bouncer
Name: barefootd
%define fullversion 1.4.1
%define prefix /usr
Prefix: %{prefix}
Version: 1.4.1
Release: 1%{?dist}
License: BSD-type
Group: Networking/Utilities
URL: http://www.inet.no/dante/
Vendor: Inferno Nettverk A/S
Source: ftp://ftp.inet.no/pub/barefoot/barefootd-%{fullversion}.tar.gz
Buildroot: %{_tmppath}/barefootd-root

%if %{?rh62:1}%{!?rh62:0}
BuildRequires: pam
%else
BuildRequires: pam-devel
%endif

%description
Barefoot is a free and scalable port bouncer. It can redirect TCP and
UDP traffic to arbitrary locations or forward traffic via a proxy
protocol such as SOCKS.

%prep
%setup -n barefootd-1.4.1

# This file is embedded here instead of being another source in order
# to the prefix directory
cat >barefootd.init <<EOF
#!/bin/sh
#
# barefoot      This shell script takes care of starting and stopping
#               the Barefoot server.
#
# chkconfig: 2345 65 35
# description: barefootd is a network port bouncer

# Source function library.
. %{_initrddir}/functions

# Source networking configuration.
. %{_sysconfdir}/sysconfig/network

# Check that networking is up.
[ \${NETWORKING} = "no" ] && exit 0

[ -f %{_sbindir}/barefootd ] || exit 0
[ -f %{_sysconfdir}/barefootd.conf ] || exit 0

# See how we were called.
case "\$1" in
  start)
	# Start daemons.
	echo -n "Starting barefootd: "
	daemon %{_sbindir}/barefootd -D
	echo
	touch %{_localstatedir}/lock/subsys/barefootd
	;;
  stop)
	# Stop daemons.
	echo -n "Shutting down barefootd: "
	killproc barefootd
	echo
	rm -f ${_localstatedir}/lock/subsys/barefootd
	;;
  restart)
	\$0 stop
	\$0 start
	;;
  status)
	status barefootd
	;;
  *)
	echo "Usage: barefootd {start|stop|restart|status}"
	exit 1
esac

exit 0
EOF

%build
#%serverbuild
%configure %{_extraflags}
%{__make}

%install
%makeinstall

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}
%{__install} -m 0644 example/barefootd.conf ${RPM_BUILD_ROOT}/%{_sysconfdir}
mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
%{__install} -m 0755 barefootd.init ${RPM_BUILD_ROOT}/%{_initrddir}/barefootd

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add barefootd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del barefootd
fi

%files
%defattr(-, root, root, 0755)
%doc BUGS CREDITS NEWS README SUPPORT
%config %{_sysconfdir}/barefootd.conf
%config %{_initrddir}/barefootd
%{_sbindir}/barefootd
%{_mandir}/man5/barefootd.conf.5*
%{_mandir}/man8/barefootd.8*

%changelog
* Mon Apr 25 2011 Karl-Andre' Skevik <karls@inet.no>
Initial version, based on Dante spec file.
